// -*- C++ -*-
//
// generated by wxGlade 0.7.1 on Sun Oct 16 02:08:53 2016
//
// Example for compiling a single file project under Linux using g++:
//  g++ MyApp.cpp $(wx-config --libs) $(wx-config --cxxflags) -o MyApp
//
// Example for compiling a multi file project under Linux using g++:
//  g++ main.cpp $(wx-config --libs) $(wx-config --cxxflags) -o MyApp Dialog1.cpp Frame1.cpp
//

#ifndef LAUNCHERFRAME_H
#define LAUNCHERFRAME_H

#include <wx/wx.h>
#include <wx/image.h>
#include <wx/intl.h>

#ifndef APP_CATALOG
#define APP_CATALOG "app"  // replace with the appropriate catalog name
#endif


// begin wxGlade: ::dependencies
// end wxGlade

// begin wxGlade: ::extracode
// end wxGlade


class LauncherFrame: public wxFrame {
public:
    // begin wxGlade: LauncherFrame::ids
    // end wxGlade

    LauncherFrame(wxWindow* parent, int id, const wxString& title, const wxPoint& pos=wxDefaultPosition, const wxSize& size=wxDefaultSize, long style=wxDEFAULT_FRAME_STYLE);

private:
    // begin wxGlade: LauncherFrame::methods
    void set_properties();
    void do_layout();
    // end wxGlade

protected:
    // begin wxGlade: LauncherFrame::attributes
    wxMenuBar* m_pLauncherFrame_menubar;
    wxStaticText* m_pHostnameStatic;
    wxTextCtrl* m_pHostnameText;
    wxButton* m_pOKButton;
    wxPanel* m_pStartPanel;
    wxPanel* m_pClientPanel;
    // end wxGlade
}; // wxGlade: end class


#endif // LAUNCHERFRAME_H
